Bug 796216 - Double free in abrt-action-analyze-oops.c
Summary: Double free in abrt-action-analyze-oops.c
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: abrt
Version: 6.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Nikola Pajkovsky
QA Contact: qe-baseos-tools
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-22 14:03 UTC by Michal Luscon
Modified: 2014-02-02 22:16 UTC (History)
5 users (show)

Fixed In Version: abrt-2.0.8-5.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 07:10:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0841 normal SHIPPED_LIVE Low: abrt, libreport, btparser, and python-meh security and bug fix update 2012-06-19 19:29:03 UTC

Description Michal Luscon 2012-02-22 14:03:49 UTC
Description of problem:

Coverity scan found new added defect in abrt-action-analyze-oops.c:

/src/plugins/abrt-action-analyze-oops.c:64 - "free" frees "line".
src/plugins/abrt-action-analyze-oops.c:71 - calling "free" frees pointer "line" which has already been freed.

Version-Release number of selected component (if applicable):
abrt-2.0.8

Comment 1 Nikola Pajkovsky 2012-02-22 14:25:02 UTC
commit d3de24edebe69df2342be3445a287788009ff940
Author: Nikola Pajkovsky <npajkovs@redhat.com>
Date:   Wed Feb 22 15:24:56 2012 +0100

    analyze-oops: fix double free
    
    Signed-off-by: Nikola Pajkovsky <npajkovs@redhat.com>

Comment 6 Nikola Pajkovsky 2012-06-12 11:37:50 UTC
Cause
    analyzing lines of kernel oops causes double free of 'line' variable.
Consequence
    Coverity scan found new added defect in abrt-action-analyze-oops.c:

    /src/plugins/abrt-action-analyze-oops.c:64 - "free" frees "line".
    src/plugins/abrt-action-analyze-oops.c:71 - calling "free" frees pointer "line" which has already been freed.
Fix
    fix double free of variable 'line'
Result
    kernel oops are analyzed properly

Comment 8 errata-xmlrpc 2012-06-20 07:10:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0841.html


Note You need to log in before you can comment on or make changes to this bug.